Page MenuHomePhabricator

Conduct guerrilla usability testing at Bay Area Wikisalon
Closed, ResolvedPublic

Description

Task overview

This task involves observing and reporting out how attendees of May's Bay Area Wikisalon managed with adding and modifying links and citations.

"Done"

  • Conduct guerrilla usability testing of adding and modifying links and citations using mobile VE at the 1-May Bay Area Wikisalon
  • Post findings to MediaWiki

Event Timeline

ppelberg created this task.May 9 2019, 8:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2019, 8:00 PM
Reedy updated the task description. (Show Details)
Reedy added a project: Mobile.
ppelberg added a comment.EditedMay 10 2019, 12:04 AM

Usability testing notes

Modifying an existing link

Adding a link

  • ✅ Tester #2 managed to add a new link without obvious issue
  • ⚠️Tester #1 experienced a bit of confusion by seeing the soft keyboard emerge after highlighting plaintext they intended to link; see the ~20 seconds beginning at 4:00

Adding a citation

Modifying an existing citation
Did not test

Misc. observations

  • Few – if any – attendees (tenured desktop contributors) expressed having experience editing on mobile.
  • 🤔 Not clear to Tester #1 what the " ⃔" button in the toolbar does; see the ~6 seconds beginning at 7:22
  • 🤔 Tester #1 seems to think tapping "Publish..." will save the changes they made to the document without having an opportunity to review those changes; see the ~3 seconds beginning at 5:20
  • 👏 Tester #2 was delighted to see the ability to declare the language of a word; see ~13 seconds beginning at 7:56

Questions

  • How many other people expect there to be a review step after tapping "Publish..."?

  1. VE being available on mobile: I wonder the extent to which my asking testers how they would go about switching to VE impacted their ability to discover this option. See the ~5 seconds beginning at 3:29
ppelberg updated the task description. (Show Details)May 10 2019, 12:18 AM
ppelberg added a subscriber: Esanders.
ovasileva moved this task from Needs triage to Triaged on the Mobile board.Jun 11 2019, 1:50 PM

These observations are great @ppelberg - do you recall what was tested here? Was this after section editing was released?

@ppelberg: What's left to do in this task? (Asking as Bay Area Wikisalon seems to have taken place two months ago and this task is not resolved.)

JTannerWMF added a subscriber: JTannerWMF.

Please post the findings and close this out @ppelberg

ppelberg closed this task as Resolved.Oct 9 2019, 12:47 AM